## tclvfs 1.3-1

=== Makefile ===
# Makefile.in --
#
#	This file is a Makefile for Sample TEA Extension.  If it has the name
#	"Makefile.in" then it is a template for a Makefile;  to generate the
#	actual Makefile, run "./configure", which is a configuration script
#	generated by the "autoconf" program (constructs like "@foo@" will get
#	replaced in the actual Makefile.
#
# Copyright (c) 1999 Scriptics Corporation.
#
# See the file "license.terms" for information on usage and redistribution
# of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#
# RCS: @(#) $Id: Makefile.in,v 1.17 2004/11/22 18:55:40 andreas_kupries Exp $

#========================================================================
# Edit the following few lines when writing a new extension
#========================================================================

#========================================================================
# The names of the source files is defined in the configure script.
# The object files are used for linking into the final library.
# This will be used when a dist target is added to the Makefile.
# It is not important to specify the directory, as long as it is the
# $(srcdir) or in the generic, win or unix subdirectory.
#========================================================================

PKG_SOURCES	=  vfs.c
PKG_OBJECTS	=  vfs.o

PKG_STUB_SOURCES = 
PKG_STUB_OBJECTS = 

#========================================================================
# PKG_TCL_SOURCES identifies Tcl runtime files that are associated with
# this package that need to be installed, if any.
#========================================================================

PKG_TCL_SOURCES =  \
		  ftpvfs.tcl httpvfs.tcl mk4vfs.tcl starkit.tcl \
		  tarvfs.tcl tclprocvfs.tcl testvfs.tcl \
		  vfsUrl.tcl vfsUtils.tcl vfslib.tcl \
		  webdavvfs.tcl zipvfs.tcl tclIndex \
		  tkvfs.tcl

#========================================================================
# This is a list of public header files to be installed, if any.
#========================================================================

PKG_HEADERS	= 

#========================================================================
# "PKG_LIB_FILE" refers to the library (dynamic or static as per
# configuration options) composed of the named objects.
#========================================================================

PKG_LIB_FILE	= libvfs1.3.so
PKG_STUB_LIB_FILE = libvfsstub1.3.a

lib_BINARIES	= $(PKG_LIB_FILE)
BINARIES	= $(lib_BINARIES) pkgIndex.tcl

SHELL		= /bin/bash

srcdir		= .
prefix		= /usr
exec_prefix	= /usr

bindir		= ${exec_prefix}/bin
libdir		= ${exec_prefix}/lib
datadir		= ${prefix}/share
mandir		= ${prefix}/share/man
includedir	= ${prefix}/include

DESTDIR		=

PKG_DIR		= $(PACKAGE_NAME)$(PACKAGE_VERSION)
pkgdatadir	= $(datadir)/$(PKG_DIR)
pkglibdir	= $(libdir)/$(PKG_DIR)
pkgincludedir	= $(includedir)/$(PKG_DIR)

top_builddir	= .

INSTALL		= /usr/bin/install -c
INSTALL_PROGRAM	= ${INSTALL}
INSTALL_DATA	= ${INSTALL} -m 644
INSTALL_SCRIPT	= ${INSTALL}

PACKAGE_NAME	= vfs
PACKAGE_VERSION	= 1.3
CC		= powerpc-linux-gcc -pipe
CFLAGS_DEFAULT	= -O
CFLAGS_WARNING	= -Wall -Wconversion -Wno-implicit-int
CLEANFILES	= pkgIndex.tcl
EXEEXT		= 
LDFLAGS_DEFAULT	= -rdynamic
MAKE_LIB	= ${SHLIB_LD} -o $@ $(PKG_OBJECTS) ${SHLIB_LD_FLAGS} ${SHLIB_LD_LIBS} 
MAKE_SHARED_LIB	= ${SHLIB_LD} -o $@ $(PKG_OBJECTS) ${SHLIB_LD_FLAGS} ${SHLIB_LD_LIBS}
MAKE_STATIC_LIB	= ${STLIB_LD} $@ $(PKG_OBJECTS)
MAKE_STUB_LIB	= ${STLIB_LD} $@ $(PKG_STUB_OBJECTS)
OBJEXT		= o
RANLIB		= :
RANLIB_STUB	= ranlib
SHLIB_CFLAGS	= -fPIC
SHLIB_LD	= powerpc-linux-gcc -pipe -shared
SHLIB_LD_FLAGS	= 
SHLIB_LD_LIBS	= ${LIBS} -L/usr/lib -ltclstub8.4
STLIB_LD	= ${AR} cr
TCL_DEFS	=  -DTCL_THREADS=1 -DUSE_THREAD_ALLOC=1 -D_REENTRANT=1 -D_THREAD_SAFE=1 -DHAVE_PTHREAD_ATTR_SETSTACKSIZE=1 -DHAVE_PTHREAD_ATFORK=1 -DHAVE_READDIR_R=1 -DPEEK_XCLOSEIM=1 -D_LARGEFILE64_SOURCE=1 -DTCL_WIDE_INT_TYPE=long\ long -DHAVE_STRUCT_STAT64=1 -DHAVE_TYPE_OFF64_T=1 -DWORDS_BIGENDIAN=1 -DHAVE_GETCWD=1 -DHAVE_OPENDIR=1 -DHAVE_STRSTR=1 -DHAVE_STRTOL=1 -DHAVE_STRTOLL=1 -DHAVE_STRTOULL=1 -DHAVE_TMPNAM=1 -DHAVE_WAITPID=1 -DHAVE_LIMITS_H=1 -DHAVE_UNISTD_H=1 -DHAVE_SYS_PARAM_H=1 -DUSE_TERMIOS=1 -DHAVE_SYS_TIME_H=1 -DTIME_WITH_SYS_TIME=1 -DHAVE_TM_ZONE=1 -DHAVE_GMTIME_R=1 -DHAVE_LOCALTIME_R=1 -DHAVE_TM_GMTOFF=1 -DHAVE_TIMEZONE_VAR=1 -DHAVE_ST_BLKSIZE=1 -DSTDC_HEADERS=1 -DHAVE_SIGNED_CHAR=1 -DHAVE_LANGINFO=1 -DHAVE_SYS_IOCTL_H=1 
TCL_BIN_DIR	= /usr/lib/tcl8.4
TCL_SRC_DIR	= /usr/include/tcl8.4/tcl-private
# This is necessary for packages that use private Tcl headers
TCL_TOP_DIR_NATIVE	= $(TCL_SRC_DIR)
# Not used, but retained for reference of what libs Tcl required
TCL_LIBS	= ${DL_LIBS} ${LIBS} ${MATH_LIBS}

#========================================================================
# TCLLIBPATH seeds the auto_path in Tcl's init.tcl so we can test our
# package without installing.  The other environment variables allow us
# to test against an uninstalled Tcl.  Add special env vars that you
# require for testing here (like TCLX_LIBRARY).
#========================================================================

EXTRA_PATH	= $(top_builddir):$(TCL_BIN_DIR)
TCLSH_ENV	= TCL_LIBRARY=`echo $(TCL_SRC_DIR)/library` \
		  LD_LIBRARY_PATH="$(EXTRA_PATH):$(LD_LIBRARY_PATH)" \
		  VFS_LIBRARY="`echo $(srcdir)/library`" \
		  PATH="$(EXTRA_PATH):$(PATH)" \
		  TCLLIBPATH="$(top_builddir)"
TCLSH_PROG	= /usr/bin/tclsh8.4
TCLSH		= $(TCLSH_ENV) $(TCLSH_PROG)
SHARED_BUILD	= 1

INCLUDES	=  -I"/usr/include/tcl8.4/tcl-private/generic" -I$(TCL_SRC_DIR)/generic -I$(TCL_SRC_DIR)/unix

EXTRA_CFLAGS	=   

DEFS		= -DPACKAGE_NAME=\"vfs\" -DPACKAGE_TARNAME=\"vfs\" -DPACKAGE_VERSION=\"1.3\" -DPACKAGE_STRING=\"vfs\ 1.3\" -DPACKAGE_BUGREPORT=\"\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -D_LARGEFILE64_SOURCE=1 -DTCL_WIDE_INT_TYPE=long\ long -DHAVE_STRUCT_STAT64=1 -DHAVE_TYPE_OFF64_T=1 -DWORDS_BIGENDIAN=1 -DHAVE_LIMITS_H=1 -DHAVE_UNISTD_H=1 -DHAVE_SYS_PARAM_H=1 -DUSE_THREAD_ALLOC=1 -D_REENTRANT=1 -D_THREAD_SAFE=1 -DHAVE_PTHREAD_ATTR_SETSTACKSIZE=1 -DHAVE_READDIR_R=1 -DTCL_THREADS=1 -DUSE_TCL_STUBS=1  $(EXTRA_CFLAGS)

CONFIG_CLEAN_FILES = Makefile

CPPFLAGS	= 
LIBS		=  
AR		= ar
## need to include the tcl source dir here for tclPort.h
CFLAGS		=  ${CFLAGS_DEFAULT} ${CFLAGS_WARNING} ${SHLIB_CFLAGS}
COMPILE		= $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)

#========================================================================
# Start of user-definable TARGETS section
#========================================================================

#========================================================================
# TEA TARGETS.  Please note that the "libraries:" target refers to platform
# independent files, and the "binaries:" target inclues executable programs and
# platform-dependent libraries.  Modify these targets so that they install
# the various pieces of your package.  The make and install rules
# for the BINARIES that you specified above have already been done.
#========================================================================

all: binaries libraries doc

#========================================================================
# The binaries target builds executable programs, Windows .dll's, unix
# shared/static libraries, and any other platform-dependent files.
# The list of targets to build for "binaries:" is specified at the top
# of the Makefile, in the "BINARIES" variable.
#========================================================================

binaries: $(BINARIES)

libraries:

doc:

install: all install-binaries install-libraries install-doc

install-binaries: binaries install-lib-binaries install-bin-binaries

#========================================================================
# This rule installs platform-independent files, such as header files.
#========================================================================

install-libraries: libraries
	@mkdir -p $(DESTDIR)$(includedir)
	@echo "Installing header files in $(DESTDIR)$(includedir)"
	@list='$(PKG_HEADERS)'; for i in $$list; do \
	    echo "    $$i" ; \
	    $(INSTALL_DATA) $(srcdir)/$$i $(DESTDIR)$(includedir) ; \
	done;

#========================================================================
# Install documentation.  Unix manpages should go in the $(mandir)
# directory.
#========================================================================

install-doc: doc
	@mkdir -p $(DESTDIR)$(mandir)/mann
	@echo "Installing documentation in $(DESTDIR)$(mandir)/mann"
	@list='$(srcdir)/doc/*.n'; for i in $$list; do \
	    echo "    `basename $$i`"; \
	    rm -f $(DESTDIR)$(mandir)/mann/`basename $$i`; \
	    $(INSTALL_DATA) $$i $(DESTDIR)$(mandir)/mann ; \
	done

test: binaries libraries
	$(TCLSH) `echo $(srcdir)/tests/all.tcl` $(TESTFLAGS)

shell: binaries libraries
	@$(TCLSH) $(SCRIPT)

gdb:
	$(TCLSH_ENV) gdb $(TCLSH_PROG) $(SCRIPT)

depend:

#========================================================================
# $(PKG_LIB_FILE) should be listed as part of the BINARIES variable
# mentioned above.  That will ensure that this target is built when you
# run "make binaries".
#
# The $(PKG_OBJECTS) objects are created and linked into the final
# library.  In most cases these object files will correspond to the
# source files above.
#========================================================================

$(PKG_LIB_FILE): $(PKG_OBJECTS)
	-rm -f $(PKG_LIB_FILE)
	${MAKE_LIB}
	$(RANLIB) $(PKG_LIB_FILE)

$(PKG_STUB_LIB_FILE): $(PKG_STUB_OBJECTS)
	-rm -f $(PKG_STUB_LIB_FILE)
	${MAKE_STUB_LIB}
	$(RANLIB_STUB) $(PKG_STUB_LIB_FILE)

#========================================================================
# We need to enumerate the list of .c to .o lines here.
#
# In the following lines, $(srcdir) refers to the toplevel directory
# containing your extension.  If your sources are in a subdirectory,
# you will have to modify the paths to reflect this:
#
# sample.$(OBJEXT): $(srcdir)/generic/sample.c
# 	$(COMPILE) -c `echo $(srcdir)/generic/sample.c` -o $@
#
# Setting the VPATH variable to a list of paths will cause the makefile
# to look into these paths when resolving .c to .obj dependencies.
# As necessary, add $(srcdir):$(srcdir)/compat:....
#========================================================================

VPATH = /generic:$(srcdir)/unix:$(srcdir)/win

.c.o:
	$(COMPILE) -c `echo $<` -o $@

#========================================================================
# Create the pkgIndex.tcl file.
# It is usually easiest to let Tcl do this for you with pkg_mkIndex, but
# you may find that you need to customize the package.  If so, either
# modify the -hand version, or create a pkgIndex.tcl.in file and have
# the configure script output the pkgIndex.tcl by editing configure.in.
#========================================================================

#pkgIndex.tcl:
#	( echo pkg_mkIndex . $(PKG_LIB_FILE) \; exit; ) | $(TCLSH)

#========================================================================
# Don't modify the file to clean here.  Instead, set the "CLEANFILES"
# variable in configure.in
#========================================================================

clean:  
	-test -z "$(BINARIES)" || rm -f $(BINARIES)
	-rm -f *.$(OBJEXT) core *.core
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean: clean
	-rm -f *.tab.c
	-rm -f $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log config.status

#========================================================================
# Install binary object libraries.  On Windows this includes both .dll and
# .lib files.  Because the .lib files are not explicitly listed anywhere,
# we need to deduce their existence from the .dll file of the same name.
# Additionally, the .dll files go into the bin directory, but the .lib
# files go into the lib directory.  On Unix platforms, all library files

=== debian/changelog ===
tclvfs (1.3-1) unstable; urgency=low

  * New upstream release.

 -- David N. Welton <davidw@debian.org>  Thu,  9 Dec 2004 20:33:40 +0100

tclvfs (1.2.1-3) unstable; urgency=low

  * Added Tcl dependency, tcllib Recommends, and a README.Debian file
    indicating the location of some useful extensions.
  * Bug fix: "Missing dependencies for tclvfs broke some vfs types",
    thanks to Victor Wagner (Closes: #266028).

 -- David N. Welton <davidw@debian.org>  Mon, 23 Aug 2004 20:53:11 +0200

tclvfs (1.2.1-2) unstable; urgency=low

  * Added build-depend for Tcl dev package.

 -- David N. Welton <davidw@debian.org>  Tue,  5 Aug 2003 18:47:26 +0200

tclvfs (1.2.1-1) unstable; urgency=low

  * Initial Release.

 -- David N. Welton <davidw@debian.org>  Sat, 26 Jul 2003 21:30:01 +0200

=== debian/control ===
Source: tclvfs
Section: interpreters
Priority: optional
Maintainer: David N. Welton <davidw@debian.org>
Build-Depends: debhelper (>> 4.0.0), tcl8.4-dev
Standards-Version: 3.6.0

Package: tclvfs
Architecture: any
Depends: ${shlibs:Depends} ${misc:Depends}, tcl8.4
Recommends: tcllib
Description: Exposes Tcl 8.4's virtual filesystem C API to the Tcl script level
 The TclVfs project aims to provide an extension to the Tcl language
 which allows Virtual Filesystems to be built using Tcl scripts
 only. It is also a repository of such Tcl-implemented filesystems
 (metakit, zip, ftp, tar, http, webdav, namespace, url)

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

tclversion=8.4

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	( cd build ; ../configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --with-tcl=/usr/lib/tcl$(tclversion) --enable-threads )


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	( cd build ; $(MAKE) )
	#/usr/bin/docbook-to-man debian/tclvfs.sgml > tclvfs.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-( cd build ; $(MAKE) distclean )
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tclvfs.
	( cd build ; $(MAKE) install DESTDIR=$(CURDIR)/debian/tclvfs/ )


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## tclvfs 1.3-1.1

=== debian/changelog ===
tclvfs (1.3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * tclconfig/tcl.m4: Fixed shell syntax error. Closes: #353849.

 -- Lars Wirzenius <liw@iki.fi>  Sat, 18 Mar 2006 21:15:06 +0000

## tclvfs 1.3-2

=== debian/changelog ===
tclvfs (1.3-2) unstable; urgency=low

  * QA Upload (Ack NMU; Closes: #319798, #353849)
  * Set Maintainer to QA Group, Orphaned: #383656
  * Remove CVS Directories and files from tarball
  * Remove config.log on clean
  * Do not install Manpages from Makefile, use dh_installman,
    otherwise they end up in /usr/man/mann/.
  * Do not install README.cygwin
  * Conforms with latest Standards Version 3.7.2

 -- Michael Ablassmeier <abi@debian.org>  Sat,  2 Sep 2006 12:32:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: tclvfs
 Section: interpreters
 Priority: optional
-Maintainer: David N. Welton <davidw@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>> 4.0.0), tcl8.4-dev
-Standards-Version: 3.6.0
+Standards-Version: 3.7.2
 
 Package: tclvfs
 Architecture: any

## tclvfs 1.3-3

=== debian/changelog ===
tclvfs (1.3-3) unstable; urgency=low

  * QA Upload.
  * Addef support for GNU/Hurd and GNU/kFreeBSD.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 10 Dec 2006 17:26:21 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: tclvfs
 Architecture: any
-Depends: ${shlibs:Depends} ${misc:Depends}, tcl8.4
+Depends: ${shlibs:Depends}, ${misc:Depends}, tcl8.4
 Recommends: tcllib
 Description: Exposes Tcl 8.4's virtual filesystem C API to the Tcl script level
  The TclVfs project aims to provide an extension to the Tcl language

=== debian/rules ===
--- 
+++ 
@@ -55,6 +55,7 @@
 	cp -f /usr/share/misc/config.guess config.guess
 endif
 
+	rm -f config.log
 
 	dh_clean
 
@@ -65,8 +66,7 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/tclvfs.
-	( cd build ; $(MAKE) install DESTDIR=$(CURDIR)/debian/tclvfs/ )
-
+	( cd build ; $(MAKE) install-binaries install-libraries DESTDIR=$(CURDIR)/debian/tclvfs/ )
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -89,7 +89,7 @@
 #	dh_installinit
 #	dh_installcron
 #	dh_installinfo
-	dh_installman
+	dh_installman doc/vfs.3tcl doc/vfslib.3tcl
 	dh_link
 	dh_strip
 	dh_compress

## tclvfs 1.3-20080503

=== debian/changelog ===
tclvfs (1.3-20080503-4) unstable; urgency=low

  * Fixed FTBFS when building with Tcl 8.6.
  * Bumped standards version to 3.9.4.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 27 Sep 2013 09:01:43 +0400

tclvfs (1.3-20080503-3) unstable; urgency=low

  * Fixed FTBFS when cleaning before the build itself.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 01 Jun 2012 11:53:54 +0400

tclvfs (1.3-20080503-2) unstable; urgency=low

  * Renamed tclvfs into tcl-vfs to comply the Debian Tcl/Tk policy.
  * Added hardened build flags using dpkg-buildflags.
  * Use sourceforge.net redirector in debian/watch uscan control script.
  * Clarified the package description.
  * Mentioned tcllib as a suggested package in README.Debian.
  * Bumped debhelper compatibility version to 8.
  * Switched to 3.0 (quilt) source package format.
  * Bumped standards version to 3.9.3.
  * Removed TODO.Debian because Tcl 8.5 contains more recent http than 8.4.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 01 Jun 2012 09:03:31 +0400

tclvfs (1.3-20080503-1) unstable; urgency=low

  * New upstream release.
  * Mangled Debian version in debian/watch to fit the current tclvfs upstream
    versioning scheme.
  * Removed undefinrd macros BE and BS from manpages.
  * Protected quilt invocations in debian/rules to make the source package
    convertible to 3.0 (quilt) format (closes: #482712).
  * Bumped standards version to 3.8.0.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 19 Jun 2008 15:09:07 +0400

tclvfs (1.3-20070620-3) unstable; urgency=low

  * Added a patch by Victor Wagner (slightly modified) which fixes zip VFS to
    work with prepended executable.
  * Fixed default encoding and eofchar of files opened from VFS.
  * Removed empty directories from the binary package.
  * Bumped standards version to 3.7.3.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 22 Jan 2008 20:29:31 +0300

tclvfs (1.3-20070620-2) unstable; urgency=low

  * Adapted the package to Debian Tcl/Tk policy. This includes moving the Tcl
    modules into a subdirectory of /usr/share/tcltk and switching to default
    tcl package in dependencies.
  * Added Homepage field in debian/control.
  * Added uscan control file debian/watch.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 17 Nov 2007 14:27:55 +0300

tclvfs (1.3-20070620-1) unstable; urgency=low

  * New CVS snapshot.
  * Added uscan control script debian/watch.
  * Rewritten clean target in debian/rules to ignore only missing Makefile
    error.
  * Made clean-patched target in debian/rules depend on patch-stamp.

 -- Sergei Golovan <sgolovan@nes.ru>  Sun, 16 Sep 2007 21:53:34 +0400

tclvfs (1.3-20070414-2) unstable; urgency=low

  * New maintainer's email address sgolovan@debian.org.
  * Added libmemchan-tcl and libtrf-tcl to suggested packages in
    debian/control.
  * Added info about libmemchan-tcl and libtrf-tcl to README.Debian.
  * Added TODO.Debian file to documentation directory.
  * Added build-arch and build-indep targets to debian/rules.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 04 Aug 2007 21:29:12 +0400

tclvfs (1.3-20070414-1) unstable; urgency=low

  * New maintainer Sergei Golovan (closes: #383656).
  * New CVS snapshot.
  * Converted package from Debian native form to non-native form.
  * Fixed errors in manual pages.
  * Changed debhelper compatibility version to 5.

 -- Sergei Golovan <sgolovan@nes.ru>  Sun, 20 May 2007 23:25:07 +0400

=== debian/control ===
Source: tclvfs
Section: interpreters
Priority: optional
Maintainer: Sergei Golovan <sgolovan@debian.org>
Build-Depends: debhelper (>> 8.0.0), dpkg-dev (>= 1.16.1~), tcl-dev (>= 8.4.0)
Standards-Version: 3.9.4
Homepage: http://sourceforge.net/projects/tclvfs

Package: tcl-vfs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${tcl:Depends}
Replaces: tclvfs
Conflicts: tclvfs
Provides: tclvfs
Suggests: tcl-memchan, tcl-trf, tcllib
Description: Exposes Tcl's virtual filesystem C API to the Tcl script level
 The tcl-vfs package provides an extension to the Tcl language which
 allows Virtual Filesystems to be built using Tcl scripts only. It
 gives also a collection of such Tcl-implemented filesystems
 (metakit, zip, ftp, tar, http, webdav, namespace, url)

=== debian/rules ===
#!/usr/bin/make -f

version = 1.3
cvsdate = 20070620
reldate = 20080503
DIR = $(shell pwd)/debian/tcl-vfs

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
			  --with-tcl=/usr/lib \
			  --enable-threads

override_dh_auto_install:
	# Install the package into debian/tcl-vfs.
	$(MAKE) install-binaries install-libraries DESTDIR=$(DIR)
	# Remove #! from non-executable files
	for f in fishvfs.tcl templatevfs.tcl ; do \
	    sed -i -e'1d' $(DIR)/usr/lib/vfs*/template/$$f || exit 1 ; \
	done
	# Move Tcl scripts to /usr/share/tcltk
	cp -a $(DIR)/usr/lib/vfs* $(DIR)/usr/share/tcltk
	rm -r $(DIR)/usr/lib/vfs*/*
	mv $(DIR)/usr/share/tcltk/vfs*/*.so $(DIR)/usr/lib/vfs*
	# Remove empty directories
	find $(DIR)/ -empty -prune -exec rmdir \{\} \;
	# Cleanup manpages
	cd doc && \
	for f in *.n ; do \
	    sed -e'/^\.so man.macros/ d' \
	    	-e'/^\.B[SE]$$/ d' \
	    	-e's/^\.TH \([^ ]\+\) n/.TH \1 3tcl/' \
		$$f >$$(basename $$f .n).3tcl || exit 1; \
	done

override_dh_auto_test:
	# Disable tests

override_dh_shlibdeps:
	tcltk-depends
	dh_shlibdeps

get-orig-source: get-orig-source-release

get-orig-source-release:
	wget -O tclvfs_$(version)-$(reldate).orig.tar.gz \
		http://heanet.dl.sourceforge.net/sourceforge/tclvfs/tclvfs-$(reldate).tar.gz 

get-orig-source-cvs:
	CURDIR=`pwd` && \
	TMPDIR=`mktemp -d /tmp/tclvfs.XXXXXX` && \
	SCRDIR=`dirname $(MAKEFILE_LIST)` && \
	expect $$SCRDIR/checkout $$TMPDIR "$(cvsdate)T23:59:59" && \
	find $$TMPDIR -name CVS -print | xargs rm -rf && \
	cd $$TMPDIR && \
	tar -zcf $$CURDIR/tclvfs_$(version)-$(cvsdate).orig.tar.gz . && \
	rm -rf $$TMPDIR

.PHONY: override_dh_auto_configure override_dh_auto_install override_dh_auto_test override_dh_shlibdeps
.PHONY: get-orig-source get-orig-source-release get-orig-source-cvs

## tclvfs 1.4.2~20121213

=== debian/changelog ===
tclvfs (1.4.2~20121213-2build1) noble; urgency=medium

  * No change rebuild to gain buildinfo.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Sat, 17 Feb 2024 18:48:38 +0000

tclvfs (1.4.2~20121213-2) unstable; urgency=medium

  * Introduced a new patch which helps with FTBFS on GNU/kFreeBSD and GNU/Hurd
    architectures.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 14 Apr 2016 23:44:26 +0300

tclvfs (1.4.2~20121213-1) unstable; urgency=medium

  * New CVS snapshot.
  * Dropped no longer necessary patches.
  * Bumped debhelper compatibility version to 9.
  * Made the binary package multi-arch aware.
  * Bumped standards version to 3.9.7.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 14 Apr 2016 21:30:27 +0300

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: interpreters
 Priority: optional
 Maintainer: Sergei Golovan <sgolovan@debian.org>
-Build-Depends: debhelper (>> 8.0.0), dpkg-dev (>= 1.16.1~), tcl-dev (>= 8.4.0)
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>> 9.0.0), dpkg-dev (>= 1.16.1~), tcl-dev (>= 8.4.0)
+Standards-Version: 3.9.7
 Homepage: http://sourceforge.net/projects/tclvfs
 
 Package: tcl-vfs
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${tcl:Depends}
 Replaces: tclvfs
 Conflicts: tclvfs

=== debian/watch ===
# Watch control file for uscan

# Compulsory line, this is a version 3 file
version=3

opts=dversionmangle=s/[.0-9]*-// \
http://sf.net/tclvfs/tclvfs-([\d.]*).tar.gz

## tclvfs 1.4.2~20230906

=== debian/changelog ===
tclvfs (1.4.2~20230906-2) unstable; urgency=medium

  * Build two versions of the library: for Tcl 8.6 and for Tcl 9.0.
  * Bump standards version to 4.7.2.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 20 Mar 2025 15:50:56 +0300

tclvfs (1.4.2~20230906-1) unstable; urgency=medium

  * New fossil snapshot.
  * Use separate tclconfig component together with the original tarball
    fetched from the upstream repository.
  * Refresh patches.
  * Fix cleaning after the build (closes: #1047739).
  * Bumped debhelper compatibility level to 13.
  * Bump standards version to 4.7.0.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 23 Apr 2024 12:29:58 +0300

=== debian/control ===
Source: tclvfs
Section: interpreters
Priority: optional
Maintainer: Sergei Golovan <sgolovan@debian.org>
Build-Depends: debhelper-compat (= 13), tcl-dev (>= 8.6.0), tcl8.6-dev, tcl9.0-dev
Standards-Version: 4.7.2
Homepage: http://sourceforge.net/projects/tclvfs

Package: tcl-vfs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, ${libtcl:Depends} | libtcl8.6 | libtcl9.0
Replaces: tclvfs
Conflicts: tclvfs
Provides: tclvfs, tcl8.6-vfs (= ${binary:Version}), tcl9.0-vfs (= ${binary:Version})
Suggests: tcl-memchan, tcl-trf, tcllib
Description: Exposes Tcl's virtual filesystem C API to the Tcl script level
 The tcl-vfs package provides an extension to the Tcl language which
 allows Virtual Filesystems to be built using Tcl scripts only. It
 gives also a collection of such Tcl-implemented filesystems
 (metakit, zip, ftp, tar, http, webdav, namespace, url)

=== debian/rules ===
#!/usr/bin/make -f

version = 1.4.2
vcsdate = 20230906
reldate = 20080503

TCLVERSIONS = 8.6 9.0

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/architecture.mk

%:
	dh $@

override_dh_auto_configure:
	for v in $(TCLVERSIONS) ; do \
		dh_auto_configure -B$(CURDIR)/debian/$$v -- \
			  --with-tcl=/usr/lib/tcl$$v \
			  --enable-threadsa ; \
	done

override_dh_auto_install:
	for v in $(TCLVERSIONS) ; do \
		$(MAKE) -C$(CURDIR)/debian/$$v install-binaries install-libraries DESTDIR=$(CURDIR)/debian/tmp ; \
		for f in fishvfs.tcl templatevfs.tcl ; do \
	    		sed -i -e'1d' $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/vfs*/template/$$f || exit 1 ; \
		done ; \
		find $(CURDIR)/debian/tmp -empty -prune -exec rmdir \{\} \; ; \
		(cd doc && \
		 for f in *.n ; do \
	    		 sed -e'/^\.so man.macros/ d' \
	    			 -e'/^\.B[SE]$$/ d' \
	    			 -e's/^\.TH \([^ ]\+\) n/.TH \1 3tcl/' \
				 $$f >$$(basename $$f .n).3tcl || exit 1; \
		 done) ; \
	done

override_dh_auto_test:
	# Disable tests

override_dh_shlibdeps:
	tcltk-depends
	dh_shlibdeps

get-orig-source: get-orig-source-fossil

get-orig-source-release:
	wget -O tclvfs_$(version)-$(reldate).orig.tar.gz \
		http://heanet.dl.sourceforge.net/sourceforge/tclvfs/tclvfs-$(reldate).tar.gz 

get-orig-source-fossil:
	wget -O tclvfs_$(version)~$(vcsdate).orig.tar.gz \
		https://core.tcl-lang.org/tclvfs/tarball/tclvfs.tar.gz?r=trunk:$(vcsdate)
	wget -O tclvfs_$(version)~$(vcsdate).orig-tclconfig.tar.gz \
		https://core.tcl-lang.org/tclconfig/tarball/tclconfig.tar.gz?r=trunk:$(vcsdate)

.PHONY: override_dh_auto_configure override_dh_auto_install override_dh_auto_test override_dh_shlibdeps
.PHONY: get-orig-source get-orig-source-release get-orig-source-fossil
